Name: diffuse
Version: 0.4.6
Release: 1%{?dist}
Summary: Graphical tool for comparing and merging text files

Group: Development/Tools
License: GPLv2+
URL: http://%{name}.sourceforge.net/
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils, scrollkeeper
Requires: python >= 2.4, pygtk2 >= 2.10
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

BuildArch: noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Diffuse is a graphical tool for merging and comparing text files.  Diffuse is
able to compare an arbitrary number of files side-by-side and gives users the
ability to manually adjust line matching and directly edit files.  Diffuse can
also retrieve revisions of files from Bazaar, CVS, Darcs, Git, Mercurial,
Monotone, Subversion, and SVK repositories for comparison and merging.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}
cp -a src/* %{buildroot}/
desktop-file-validate %{buildroot}/%{_datadir}/applications/diffuse.desktop


%clean
rm -rf %{buildroot}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database &> /dev/null || :

%postun
scrollkeeper-update -q || :
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root,-)
%{_bindir}/diffuse
%{_datadir}/diffuse/
%{_datadir}/applications/diffuse.desktop
%{_datadir}/gnome/help/diffuse/*/diffuse.xml
%{_datadir}/omf/diffuse/diffuse-*.omf
%{_datadir}/pixmaps/diffuse.png
%config(noreplace) %{_sysconfdir}/diffuserc
%{_mandir}/man*/*
%{_mandir}/*/man*/*
%dir %{_datadir}/gnome/help/diffuse
%dir %{_datadir}/gnome/help/diffuse/*
%dir %{_datadir}/omf/diffuse

%doc AUTHORS ChangeLog COPYING README

%changelog
* Sun Apr 08 2012 Denis Gorodnov <i.keeper at seznam.cz> - 0.4.6-1
- first version submitted to Fuduntu
